#define X_VERSION	1
#define X_HDRSIZE	512
#define I_12345678	12345678
#define F_12345678	12345678.0
#define X_UNKNOWN	0
#define X_INT		1
#define X_FLOAT		2

struct Xhdr
   {
	int	version;	/* format version # */
	int	nhdr;		/* # of bytes in header */
	int	ndata;		/* # of bytes of data */
	int	npts;		/* # of data points */
	int	i12345678;	/* byte-order test integer */
	int	sid;		/* source tag (key ) */
	int	rid;		/* receiver tag (key ) */
	int	datafmt;	/* data format */
	double	sx;		/* source x-loc */
	double	sy;		/* source y-loc */
	double	sz;		/* source z-loc */
	double	rx;		/* receiver x-loc */
	double	ry;		/* receiver y-loc */
	double	rz;		/* receiver z-loc */
	double	slat;		/* source latitude (degs) */
	double	slon;		/* source longitude (degs) */
	double	sdepth;		/* source depth */
	double	rlat;		/* receiver latitude (degs) */
	double	rlon;		/* receiver longitude (degs) */
	double	relev;		/* receiver elevation */
	double	t0;		/* ref/origin time (sec) */
	double	tstart;		/* seismogram start time (sec) */
	double	samprate;	/* sample rate: sample/sec */
	double	gain;		/* instrument gain, remove by divide */
	double	tshift;		/* static time shift (sec), to be applied */
	double	size;		/* source size (mag for eqs) */
	double	f12345678;	/* byte-order test double */
/* mark position for byte swapping */
#define X_NSWAP	46
	char	net[8];		/* network name */
	char	sta[8];		/* station name */
	char	chan[8];	/* seed channel name */
	char	padding[300];	/* padding to bring the header up to 512 */
   };

/* size = 208 bytes */
