#include "fmtX.h"
#include <stdlib.h>

/* buf_to_fmtX_input takes a char buffer given by
 * stp_data_read in the fmtX format and moves the
 * data into Xhdr and fdata
 */
void buf_to_fmtX_input(char *buf, size_t buf_size, struct Xhdr *header, float *fdata) {
   memcpy(header, buf, sizeof(struct Xhdr));
   buf+= sizeof(struct Xhdr);
   memcpy(fdata, buf, (buf_size - (sizeof(struct Xhdr))));
   return;
}

/* stp_fmtX_read combines the steps of reading data
 * into the buffer and moving it into the fmtX format
 */
int stp_fmtX_read(struct Xhdr *header, float *fdata, size_t bytes) {
   char *buf;
   buf = (char *) malloc(bytes);
   if (buf == NULL) {
     return -1;
   }
   stp_data_read(buf); 
   buf_to_fmtX_input(buf, bytes, header, fdata);
   free(buf);  
   return 0;
}
